/*	d o w n l o a d 	*/

#download{
	margin-top: -100px;
	font-family: arial black;
}

#upload{
	margin-top: -100px;
}

#download h2, #upload h2{
	font-size: 18px;
}

#dl1, #dl2, #dl3, #dl4, #up1, #up2, #up3{
	padding: 20px;
	font-family: arial;
	font-size: 12px;
	margin-top: 10px;
	margin-bottom: 20px;
	border-left: 1px solid lightgrey;
	border-top: 1px solid lightgrey;
	border-right: 1px solid lightgrey;
	border-radius: 10px 10px 0px 0px;
}

#dl1, #dl2{
	min-height: 280px;
}

#dl3, #dl4{
	min-height: 290px;
}

#up1, #up2, #up3{

}

#up2{
	margin-left: 2%;
	width:56% ;
}

#up1 h3, #up2 h3, #up3 h3{
	padding-left: 8%;
	padding-bottom: 6px;
}

#up1{
	padding-top: 3%;
}

#up3{
	padding-top: 0;
}

#up2_text{
	padding-right: 7%;
}

#up2 textarea{
	width: 100%;
}

#dl1 ul, #dl2 ul, #dl3 ul, #dl4 ul, #up1 ul, #up1 ol{
	margin-left: 5%;
}


#dl1 p, #dl2 p, #dl3 p, #dl4 p{
	margin-left: 20px;
	margin-top: 10px;
}

#dl1, #up1 {
	background: rgb(242 245 247 / 97%);
}

#dl2, #up2{
	background: rgb(247 242 242 / 97%);
}

#dl3, #up3{
	background: rgb(242 247 242 / 97%);
}

#dl4, #up4{
	background: rgb(247 242 242 / 97%);
}


#file_dl, #file_up {
	margin-top: 30px;
}

#file_dl button, #file_up button {
	width: 130px;
	height: 25px;
	font-size: 14px;
	background: rgb(166 213 180 / 90%);
	border-radius: 5px;
	border: 1px solid rgb(93 163 93 / 95%);
}

#file_dl button:hover, #file_up button::hover {
	margin-right: 5px;
	box-shadow: 2px 2px 3px grey;
	background: rgb(58 122 36);
	transition: background 1s;
	color: lightyellow;
}

#up_corriger{
	margin-left: 23vh;
}

#up_num{
	background: transparent;
	border: none;
	width: 60px;
	text-align: right;
	font-size: 13px;
	font-weight: bolder;
}

#fileLeft{
	min-width: 90px;
	min-height: 100vh;
	background: linear-gradient(90deg, #ebc3c340, #d3e4f3b5);
	margin-top: -90px;
	padding-top: 25px;
	box-shadow: 3px 2px 8px grey;
}

#titreAttach{
	margin-left: 30%;
}

#titreAfficher{
	margin-left: 15%;
}

#fileRight{
	padding-left: 70px;
}

#accueilFile img{
	width: 50px;
	border-radius: 10px;
}

#tableAttach{
	width: 97%;
	margin: 5px;
}

#tableAttach tr th {
    padding: 3px;
    font-size: 11px;
    background: #547d87;
    color: white;
  }

#tableAttach td {
    padding: 2.5px;

    /* Empêcher la coupure des phrases */
    white-space: nowrap;

    /* Gérer le débordement */
    overflow: hidden;
    text-overflow: ellipsis;

    /* Limiter la largeur d'une cellule */
    max-width: 150px; /* Ajustez selon vos besoins */
  }

  #totalFile{
  	padding-top: 3px;
  	padding-bottom: 3px;
  	margin-left: 3%;
  	width: 92%;
  	background: lightgrey;
  	text-align: center;
  	border: 1px solid darkgrey;
  	vertical-align: middle;
  }

  #tdAction center{
  	opacity: 0.4;
  }

  #tdAction center:hover{
  	opacity: 1;
  }

  #tdAction a:first-child{
  	padding-right: 4px;
  }

  #tdAction a:last-child{
  	padding-left: 4px;
  }

  #accueilFile{  	
	width: 40px;
	border-radius: 10px;
  }

  #popHafatraFile{
  	margin-left: 33%;
  }


  #hafatraFile{
  	background: lightyellow;
  	position: absolute;
  	font-size: 12px;
  	display: inline-block;
  	margin-top: -17px;
	overflow: hidden;
	white-space: nowrap;
	border-bottom: 1px solid grey;
	animation: reveal 0.35s linear forwards;
  }

  #message{
  	color: darkred;
  	padding: 22px 25px 2px 25px;
  }



	@keyframes reveal {
	  from {
	    clip-path: inset(0 0 100% 0); /* Cache complètement le texte */
	  }
	  to {
	    clip-path: inset(0 0 0 0); /* Révèle complètement le texte */
	  }
	}

  #showFile{
  	margin-top: 30px;
  	width: 80%;
  	margin-left: 10%;
  	font-size: 12px;
  }
